# studio::StateNormal Class Reference

`#include <state_normal.h>`

List of all members.

## Public Member Functions

| StateNormal ()
| ~StateNormal ()

## Constructor & Destructor Documentation

StateNormal::StateNormal | ( |  | ) |

References studio::EVENT_REDO, studio::EVENT_REFRESH, studio::EVENT_REFRESH_DUCKS, studio::EVENT_REFRESH_TOOL_OPTIONS, studio::EVENT_STOP, studio::EVENT_UNDO, studio::EVENT_WORKAREA_LAYER_CLICKED, studio::EVENT_WORKAREA_MOUSE_BUTTON_DOWN, and studio::EVENT_WORKAREA_MULTIPLE_DUCKS_CLICKED.

StateNormal::~StateNormal | ( |  | ) |

The documentation for this class was generated from the following files:

- state_normal.h
- state_normal.cpp